Returns the load balancer service ID for the command

- « MongoDB\Driver\Monitoring\CommandFailedEvent::getServerConnectionId

- MongoDB\Driver\Monitoring\CommandStartedEvent »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandFailedEvent
- Returns the load balancer service ID for the command

# MongoDB\Driver\Monitoring\CommandFailedEvent::getServiceId

(mongodb >=1.11.0)

MongoDB\Driver\Monitoring\CommandFailedEvent::getServiceId — Returns the load balancer service ID for the command

### Description

final public MongoDB\Driver\Monitoring\CommandFailedEvent::getServiceId(): ?MongoDB\BSON\ObjectId

When the driver is connected to a MongoDB cluster through a load balancer, the service ID corresponds to the `serviceId` field in the `hello` command response.

### Parameters

This function has no parameters.

### Return Values

Returns the load balancer service ID, or `null` if the driver is not connected to a load balancer.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.